﻿<UserControl x:Class="TouchAndTeachWindows.Draw.UserDrawingUI.UserDrawing"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:localUserDrawingUi="clr-namespace:TouchAndTeachWindows.Draw.UserDrawingUI"
             mc:Ignorable="d" 
             d:DesignHeight="300" d:DesignWidth="300" Background="Transparent" MouseLeftButtonDown="UserControl_MouseLeftButtonDown" MouseLeftButtonUp="UserControl_MouseLeftButtonUp" MouseMove="UserControl_MouseMove" MouseLeave="UserControl_MouseLeave"
             ManipulationDelta="UserControl_ManipulationDelta" ManipulationCompleted="UserControl_ManipulationCompleted"
             VerticalAlignment="Top" HorizontalAlignment="Left">
         <Border Name="Border" BorderBrush="Gray" BorderThickness="0">
            <Grid Name="DrawingArea" Background="Transparent">
                <Image Name="PostitImage" Stretch="Fill" Source="/TouchAndTeachWindows;component/ImgRes/Postit/postit_azur.png" VerticalAlignment="Center" HorizontalAlignment="Center" IsManipulationEnabled="True"/>
                <!--<Image Name="PostitPinImage" Stretch="Fill" Width="100" Height="100" Source="/TouchAndTeachWindows;component/ImgRes/Postit/postit_pin.png" VerticalAlignment="Top" HorizontalAlignment="Center" IsManipulationEnabled="True"/>-->
                <Image Name="RenderedImage" Stretch="None" VerticalAlignment="Center" HorizontalAlignment="Center" IsManipulationEnabled="True"/>
                
                <StackPanel VerticalAlignment="Bottom" HorizontalAlignment="Right" Height="40" Margin="0,0,0,0" Orientation="Horizontal">
                    <!--localUserDrawingUi:UserRotateButton Margin="2,0" Pressed="UserRotateButton_Pressed" Visibility="Collapsed" />-->
                    <!--<localUserDrawingUi:UserApplyButton Margin="2,0" Pressed="UserApplyButton_Pressed" Visibility="Collapsed" />-->
                    <localUserDrawingUi:UserDrawingMenuButton Margin="2,0" TouchDown="UserDrawingMenuButton_OnTouchDown" MouseLeftButtonDown="UserDrawingMenuButton_OnLeftButtonDown" />
                    <!--<localUserDrawingUi:UserQuitButton Margin="2,0" Pressed="UserQuitButton_Pressed" Visibility="Visible" />-->
                </StackPanel>
            </Grid>
        </Border>
</UserControl>
